### Constructor

# ICalGLib VcardGeo new_uri

since: 4.0

#### Declaration [src]

    ICalVcardGeo*
    i_cal_vcard_geo_new_uri (
      const gchar* uri
    )

#### Description [src]

Creates a new `ICalVcardGeo` holding the URI value.

Available since: 4.0

#### Parameters

`uri`

  Type: `const gchar*`

  The URI value for the GEO.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ICalVcardGeo`

The newly created `ICalVcardGeo` holding the URI value.

The caller of the function takes ownership of the data, and is responsible for freeing it.